Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class LocalInterfaceDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.LocalInterfaceDefHelper

public class LocalInterfaceDefHelper
extends java.lang.Object

Helper class for : LocalInterfaceDef

Author:
  OpenORB Compiler

Constructor Summary
`LocalInterfaceDefHelper()`

Method Summary
`static LocalInterfaceDef` | `extract(Any a)` Extract LocalInterfaceDef from an any
`static java.lang.String` | `id()` Return the LocalInterfaceDef IDL ID
`static void` | `insert(Any a, LocalInterfaceDef t)` Insert LocalInterfaceDef into an any
`static LocalInterfaceDef` | `narrow(Object obj)` Narrow CORBA::Object to LocalInterfaceDef
`static LocalInterfaceDef` | `read(InputStream istream)` Read LocalInterfaceDef from a marshalled stream
`static TypeCode` | `type()` Return the LocalInterfaceDef TypeCode
`static LocalInterfaceDef` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to LocalInterfaceDef
`static void` | `write(OutputStream ostream, LocalInterfaceDef value)` Write LocalInterfaceDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalInterfaceDefHelper

    public LocalInterfaceDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              LocalInterfaceDef t)

  Insert LocalInterfaceDef into an any
  Parameters:
    `a` - an any
    `t` - LocalInterfaceDef value

### extract

    public static LocalInterfaceDef extract(Any a)

  Extract LocalInterfaceDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LocalInterfaceDef value

### type

    public static TypeCode type()

  Return the LocalInterfaceDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LocalInterfaceDef IDL ID
  Returns:
    an ID

### read

    public static LocalInterfaceDef read(InputStream istream)

  Read LocalInterfaceDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LocalInterfaceDef value

### write

    public static void write(OutputStream ostream,
                             LocalInterfaceDef value)

  Write LocalInterfaceDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LocalInterfaceDef value

### narrow

    public static LocalInterfaceDef narrow(Object obj)

  Narrow CORBA::Object to LocalInterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    LocalInterfaceDef Object

### unchecked_narrow

    public static LocalInterfaceDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to LocalInterfaceDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    LocalInterfaceDef Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD